{
	"license": "agpl",
	"private": true,
	"scripts": {
		"build": "NODE_ENV=production ./node_modules/.bin/webpack-cli --progress --config webpack.js",
		"dev": "NODE_ENV=development ./node_modules/.bin/webpack-cli --progress --config webpack.js",
		"watch": "NODE_ENV=development ./node_modules/.bin/webpack-cli --progress --watch --config webpack.js",
		"lint": "./node_modules/.bin/eslint --ext .js,.vue src",
		"lint:fix": "./node_modules/.bin/eslint --ext .js,.vue src --fix",
		"stylelint": "./node_modules/.bin/stylelint src",
		"stylelint:fix": "./node_modules/.bin/stylelint src --fix"
	},
	"dependencies": {
		"axios": "^0.24.0",
		"trim": "^1.0.1",
		"vue": "^2.6.11"
	},
	"browserslist": [
		"extends @nextcloud/browserslist-config"
	],
	"engines": {
		"node": ">=16.0.0"
	},
	"devDependencies": {
		"@babel/core": "^7.9.0",
		"@babel/plugin-syntax-dynamic-import": "^7.8.3",
		"@babel/preset-env": "^7.9.0",
		"@nextcloud/axios": "^2.3.0",
		"@nextcloud/browserslist-config": "^2.3.0",
		"@nextcloud/eslint-config": "^8.1.2",
		"@nextcloud/initial-state": "^2.0.0",
		"@nextcloud/l10n": "^2.1.0",
		"@nextcloud/vue": "^7.12.1",
		"babel-eslint": "^10.1.0",
		"babel-loader": "^8.1.0",
		"css-loader": "^3.4.2",
		"eslint": "^8.0.0",
		"eslint-config-standard": "^17.0.0",
		"eslint-import-resolver-webpack": "^0.12.1",
		"eslint-plugin-import": "^2.20.0",
		"eslint-plugin-nextcloud": "^0.3.0",
		"eslint-plugin-node": "^10.0.0",
		"eslint-plugin-promise": "^6.0.0",
		"eslint-plugin-standard": "^4.0.1",
		"eslint-plugin-vue": "^9.0.0",
		"eslint-webpack-plugin": "^3.0.0",
		"file-loader": "^6.0.0",
		"sass": "^1.49.9",
		"sass-loader": "^13.0.2",
		"stylelint": "^14.0.0",
		"stylelint-config-recommended-scss": "^7.0.0",
		"stylelint-scss": "^4.0.0",
		"stylelint-webpack-plugin": "^3.3.0",
		"url-loader": "^4.0.0",
		"vue-loader": "^15",
		"vue-style-loader": "^4.1.3",
		"vue-template-compiler": "^2.7.13",
		"webpack": "^5.0.0",
		"webpack-cli": "^4.0.0",
		"webpack-merge": "^4.2.2",
		"webpack-node-externals": "^1.7.2"
	}
}
